harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anton Luht (JIRA)" <j...@apache.org>
Subject [jira] Created: (HARMONY-2869) [classlib] [build] build fails on ant 1.7
Date Mon, 25 Dec 2006 11:41:21 GMT
[classlib] [build]  build fails on ant 1.7
------------------------------------------

                 Key: HARMONY-2869
                 URL: http://issues.apache.org/jira/browse/HARMONY-2869
             Project: Harmony
          Issue Type: Bug
          Components: Classlib
         Environment: Linux
            Reporter: Anton Luht
            Priority: Minor


Rule for checking Ant versions fails on Ant 1.7:

You have wrong version of ANT :Apache Ant version 1.7.0 compiled on December 13 2006
* Make sure you have Ant 1.6.5 or above installed from
* http://ant.apache.org/bindownload.cgi and that ANT_HOME environment
* variable points out to the Ant installation dir, e.g.
* export ANT_HOME=/usr/local/ant_1.6.5


The following quick patch solves the problem:

Index: enhanced/drlvm/trunk/build/make/setup.xml
===================================================================
--- enhanced/drlvm/trunk/build/make/setup.xml       (revision 490124)
+++ enhanced/drlvm/trunk/build/make/setup.xml       (working copy)
@@ -33,11 +33,18 @@
         <fail>
             <condition>
                 <not>
-                    <and>
-                        <equals arg1="${ch1}" arg2="1" />
-                        <equals arg1="${ch2}" arg2="6" />
-                        <equals arg1="${ch3}" arg2="5" />
-                    </and>
+                    <or>
+                        <and>
+                            <equals arg1="${ch1}" arg2="1" />
+                            <equals arg1="${ch2}" arg2="6" />
+                            <equals arg1="${ch3}" arg2="5" />
+                        </and>
+                        <and>
+                            <equals arg1="${ant.version1}" arg2="1" />
+                            <equals arg1="${ant.sub.version}" arg2="7" />
+                            <equals arg1="${ant.sub.sub.version}" arg2="0" />
+                        </and>
+                    </or>
                 </not>
             </condition>
 * You have wrong version of ANT :${ant.version}


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message